<div class = "wrapper">
<p class = "big">Find in friends:</p>
<div class = "findDiv"><material-input #searchInput leadingGlyph = "search" [style.height.px] = '40' label = "By name and surname" [(ngModel)] = "searchString"></material-input><material-button class = "find" (trigger) = "find()" icon raised><material-icon icon = "search"></material-icon></material-button><material-button popupSource
    #source="popupSource"
    (trigger)="visible[1] = !visible[1]" class = 'params' icon raised><material-icon class = "params" icon = "more_horiz"></material-icon></material-button></div><div class = "chips"><material-chips><material-chip *ngFor = 'let c of chips'  (remove)="removeChipAndQueryParam(c)"
        [removable]="true"
        [value]="c"
        displayNameRenderer></material-chip></material-chips></div><material-popup [preferredPositions]="popupPositions" [source]="source" [(visible)]="visible[1]">
        <div style="height: 300px; width:300px;">
            <p class = "popupP">Search parameters</p>
          <material-input [(ngModel)] = "patronymic" class = "paramsInput" label = "By patronymic"></material-input>
          <p class = "popupP">Years old:</p>
          <div class = "yoDiv">
          <material-input [(ngModel)] = "minYearsOld" #minYearsOldInput class = "paramsInput" label = "Min years old"></material-input><p> - </p>
          <material-input [(ngModel)] = "maxYearsOld" #maxYearsOldInput class = "paramsInput" label = "Max years old"></material-input>
            </div>
            <material-button (click)='saveSearchParams()'
            (trigger) = "visible[1] = !visible[1]" class = "popupButton" raised icon><material-icon  icon = "done"></material-icon></material-button>
        </div>
  </material-popup>
<p class = "mini">{{searchMessage}}</p>
<div class = "friendsList">
    <div class = "friend" *ngFor = 'let friend of friends'>
        <div class = "first_column">
        <div class = "first_row">
            <p>{{friend?.profile?.surname}} </p>
            <p>{{friend?.profile?.name}} </p>
            <p>{{friend?.profile?.patronymic}}</p>
        </div>
        <div class = "second_row">
            <p>Click to go to the chat!</p>
        </div>
        </div>
        <div class = "second_column">
            <material-button (click) = 'deleteFromFriends(friend)' class = "deleteButton" icon><material-icon icon = "clear"></material-icon></material-button>
        </div>
    </div>
</div>
</div>
